%define drupaldir %{_datadir}/drupal6
Name: drupal6-advanced-help
Version:  1.2
Release:  2%{?dist}
Summary:  Allows module developers to store their help outside the module system in html

Group: Applications/Publishing
License: GPLv2+
URL: http://drupal.org/project/advanced_help
Source0: http://ftp.drupal.org/files/projects/advanced_help-6.x-1.2.tar.gz
Source1: drupal6-advanced-help-fedora-README.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: drupal6 >= 6.0

%description
The advanced help module allows module developers to store their help
outside the module system, in pure .html files. The files can be easily
translated simply by copying them into the right translations directory.
The entire system can appear in a pop-up or not as the module prefers.

%prep

%setup -qn advanced_help

%build

cp %{SOURCE1} .

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/advanced-help
cp -pr * %{buildroot}%{drupaldir}/modules/advanced-help

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt drupal6-advanced-help-fedora-README.txt
%exclude %{drupaldir}/modules/advanced-help/LICENSE.txt
%exclude %{drupaldir}/modules/advanced-help/drupal6-advanced-help-fedora-README.txt
%{drupaldir}/modules/advanced-help

%Changelog
* Wed Jan 19 2011 Sven Lankes <sven@lank.es> - 1.2-2
- Fix license - everything in Drupal CVS is GPLv2+

* Wed Oct 13 2010 Sven Lankes <sven@lank.es> - 1.2-1
- Initial packaging.
